#
#    Run this every game tick
#

# tp_creative handling
scoreboard players enable @a[nbt={Dimension:"minecraft:overworld"}] creativerse_enter
execute as @p[scores={creativerse_enter=1}] at @s run function creativerse:enter
scoreboard players reset @a[nbt=!{Dimension:"minecraft:overworld"}] creativerse_enter

# tp_survival handling
scoreboard players enable @a[scores={creativerse_status=1}, nbt={Dimension:"creativerse:creativerse"}] creativerse_exit
execute as @p[scores={creativerse_exit=1}] at @s run function creativerse:exit
scoreboard players reset @a[nbt=!{Dimension:"creativerse:creativerse"}] creativerse_exit

# info handling
scoreboard players enable @a creativerse_info
execute as @p[scores={creativerse_info=1}] run function creativerse:info
scoreboard players reset @a[scores={creativerse_info=1..}] creativerse_info

# handling of special cases
execute as @p[scores={creativerse_status=1}, nbt=!{Dimension:"creativerse:creativerse"}] run function creativerse:anticheat
execute as @p[scores={creativerse_status=0}, nbt={Dimension:"creativerse:creativerse"}] run function creativerse:spawn_abuse
execute as @p[nbt={Dimension:"creativerse:creativerse"}] run clear @s minecraft:ender_eye

# player_id handling
scoreboard players add @a creativerse_id 0
execute if entity @e[scores={creativerse_id=0}, limit=1] run scoreboard players add #maxID creativerse_id 1
scoreboard players operation @a[scores={creativerse_id=0},limit=1] creativerse_id = #maxID creativerse_id
